=== lib/xbmc-dll-symbols/Makefile ===
SRCS = DllAvFormat.c

LIB = dll-symbols.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))
