=== xbmc/peripherals/Makefile ===
SRCS=Peripherals.cpp

LIB=peripherals.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))
