=== xbmc/powermanagement/Makefile ===
SRCS=DPMSSupport.cpp \
     PowerManager.cpp \

LIB=powermanagement.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))
