=== xbmc/settings/Makefile ===
SRCS=AdvancedSettings.cpp \
     AppParamParser.cpp \
     GUIDialogContentSettings.cpp \
     GUIDialogLockSettings.cpp \
     GUIDialogProfileSettings.cpp \
     GUIDialogSettings.cpp \
     GUISettings.cpp \
     GUIWindowSettings.cpp \
     GUIWindowSettingsCategory.cpp \
     GUIWindowSettingsProfile.cpp \
     GUIWindowSettingsScreenCalibration.cpp \
     GUIWindowTestPattern.cpp \
     Profile.cpp \
     SettingsControls.cpp \
     Settings.cpp \
     VideoSettings.cpp \

LIB=settings.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))
