=== debian/changelog ===
xbmc (2:12.3+dfsg1-3ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - nexus7-fullscreen-fix.patch.
    - xbmc-startup-script-workarounds-for-arm.patch: Added another workaround to
      get the touchscreen of the Nexus 7 working in the fullscreen mode of XBMC.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2014 09:58:17 +0100

xbmc (2:12.3+dfsg1-3) unstable; urgency=low

  * Fix blank screen issue on armhf
  * Don't disable ccache
  * Enable using external libraries during configure. Has no effect on the
    build, external libraries are used already
  * Build-depend on libcap-dev to enable libcap support
  * Strip FreeType, Enca and Google's test libraries from repacked source
  * Use system's libsidplay2 and remove embedded one from repacked source
  * Disable VDPAU and VAAPI on armel and armhf

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 28 Dec 2013 13:45:16 +0100

xbmc (2:12.3+dfsg1-2) unstable; urgency=low

  * Depend on libgles2-mesa-dev and libomxil-bellagio-dev on armhf

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 27 Dec 2013 14:32:41 +0100

xbmc (2:12.3+dfsg1-1) unstable; urgency=low

  * XBMC 12.3 Frodo
  * Drop back-ported efbb36fa and c2c97cfd2 patches since those are
    integrated upstream
  * Depend on fonts-dejavu-core and fonts-liberation instead of
    ttf-dejavu-core and ttf-liberation respectively (Closes: #702820)
  * enable code generation during bootstrap with workaround for groovy crash
  * Use OpenGL ES on armhf (Closes: #702730)
  * Stop forcing PulseAudio at build time (Closes: #704951)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 25 Dec 2013 03:21:21 +0100

xbmc (2:12.2+dfsg1-1) unstable; urgency=low

  * Base package on repacked upstream tarball
  * Run bootstrap before configuration (without code generation enabled)
  * Use external groovy
  * Depend on doxygen to help code generation

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 20 Dec 2013 21:23:12 +0100

xbmc (2:12.2-1) unstable; urgency=low

  [ macmenot <notmemac@gmail.com> ]
  * XBMC 12.2 Frodo. Closes: #716806
  * Add 01-Compile-against-system-libavcodec.patch and
    02-Fix-avcodec-vdpau-detection.patch
    (Closes: #706193)
  * Fix typo in package description: "archiecture". Closes: #706826

  [Balint Reczey]
  * Disable libCEC temporarily since it has no usable version in unstable
  * Detect Samba4 headers using patched configure.in
  * Distinguish Debian build from vanilla XBMC build by showing changed
    logo and version number
  * Depend on gimp to generate the changed logo
  * Adding myself to uploaders
  * cherry-pick efbb36fa and c2c97cfd2 from upstream to fix child process
    handling and make XBMC work with newer nvidia drivers > 304.
    Thanks to Peter Frühberger <fritsch@xbmc.org>
  * add get-orig-source target to debian/rules which prepares a DFSG-free
    original tarball

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 08 Dec 2013 00:34:57 +0100

xbmc (2:12.0~git20130127.fb595f2-1.1) experimental; urgency=low

  [Balint Reczey]
  * Non-maintainer upload.
  * Set Samba include path in d/rules using pkg-config to fix FTBFS
    with Samba 4 (Closes: #728594)

  [Michael Biebl]
  * Disable HAL support (Closes: #676702, #668486)

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 25 Nov 2013 23:19:08 +0100

xbmc (2:12.0~git20130127.fb595f2-1) experimental; urgency=low

  * New upload for XBMC 12.0 Frodo.

 -- Andres Mejia <amejia@debian.org>  Tue, 29 Jan 2013 20:13:05 -0500

xbmc (2:12.0~git20130103.0959-rc3-0ubuntu5) trusty; urgency=medium

  * No change rebuild against glew 1.10.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 02 Jan 2014 16:17:08 +0000

xbmc (2:12.0~git20130103.0959-rc3-0ubuntu4) saucy; urgency=low

  * Remove libhal-dev build-dependency; see changelog for version
    2:12.0~git20130103.0959-rc3-0ubuntu2.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Sep 2013 15:38:10 +0100

xbmc (2:12.0~git20121210.baaa51c-1) experimental; urgency=low

  * New upload for XBMC Frodo RC 1.

 -- Andres Mejia <amejia@debian.org>  Wed, 12 Dec 2012 12:57:29 -0500

xbmc (2:12.0~git20121206.ae60d24-1) experimental; urgency=low

  * New upload for XBMC Frodo beta 3.

 -- Andres Mejia <amejia@debian.org>  Sat, 08 Dec 2012 11:14:06 -0500

xbmc (2:12.0~git20121201.192701b-1) experimental; urgency=low

  * New upload for XBMC Frodo beta 2.

 -- Andres Mejia <amejia@debian.org>  Sun, 02 Dec 2012 20:53:28 -0500

xbmc (2:12.0~git20121119.22795bc-1) experimental; urgency=low

  * New upload for beta packages of XBMC Frodo.
    (Closes: #668901)
    (Closes: #681264)
    (Closes: #682312)
  * Recommends of python-qt3 is removed. (Closes: #685076)

 -- Andres Mejia <amejia@debian.org>  Mon, 19 Nov 2012 17:56:50 -0500
