=== debian/watch ===
version=3
opts=uversionmangle=s/-.*$//,dversionmangle=s/[-.+~]?(git|snapshot|repack|dfsg)(.*)$//i,pasv \
http://mirrors.xbmc.org/releases/source/xbmc-(.*)\.tar\.gz
